/**
 * Created by syikmis on 10.03.2017.
 */


 define([], function () {
	'use strict';

	var apiKey = {
		ref: "apiKey",
		label: "apiKey",
		type: "string"
	};

	var authDomain = {
		ref: "authDomain",
		label: "authDomain",
		type: "string"
	};

	var projectId = {
		ref: "projectId",
		label: "projectId",
		type: "string"
	};

	var storageBucket = {
		ref: "storageBucket",
		label: "storageBucket",
		type: "string"
	};

	var messagingSenderId = {
		ref: "messagingSenderId",
		label: "messagingSenderId",
		type: "string"
	};

	var appId = {
		ref: "appId",
		label: "appId",
		type: "string"
	};

	
	var e_mail = {
		ref: "e_mail",
		label: "E-Mail",
		type: "string"
	};

	var password = {
		ref: "password",
		label: "Password",
		type: "string"
	};

	// Appearance section
	var appearanceSection = {
		uses: "settings",
		items: {
			// Definition of the custom section header
			connection: {
				type: "items",
				label: "Firebase connection",
				items: {
					apiKey: apiKey,
					authDomain: authDomain,
					projectId: projectId,
					storageBucket: storageBucket,
					messagingSenderId: messagingSenderId,
					appId: appId
				}
			},
			authentication: {
				type: "items",
				label: "Firebase authentication",
				items: {
					e_mail: e_mail,
					password:password
				}
			},
		}
	};
	// Main properties panel definition
	// Only what is defined here is returned from properties.js
	return {
		type: "items",
		component: "accordion",
		items: {
			appearance: appearanceSection
		}
	};
});